%define contentdir /var/www
%define their_version 1.4.1

Summary: Squid report generator per user/ip/name
Name: sarg
Version: 1.4.1
Release: 1mdk
URL: http://web.onda.com.br/orso/
Source: http://web.onda.com.br/orso/sarg-%{their_version}.tar.bz2
Source1: 0sarg.daily
Source2: 0sarg.weekly
Source3: 0sarg.monthly
Source4: sarg.conf.rpm
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: squid, bash

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep
%setup -n %{name}-%{their_version}

%build
chmod a+x cfgaux languages include
%configure --enable-bindir=%{_sbindir} --enable-sysconfdir=%{_sysconfdir}/%{name} --enable--mandir=%{buildroot}%{_mandir}


mkdir -p %{buildroot}/%{_mandir}/man1
perl -p -i -e 's|/usr/share/man/man1|%{buildroot}/usr/share/man/man1|' $RPM_BUILD_DIR/%name-%their_version/Makefile
make

%install
mkdir -p $RPM_BUILD_ROOT/{usr/sbin,etc/sarg,var}
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid/{daily,weekly,monthly}
make BINDIR=$RPM_BUILD_ROOT%{_sbindir} SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/sarg MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/0%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.weekly/0%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.monthly
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.monthly/0%{name}
cp sarg.conf $RPM_BUILD_ROOT%{_sysconfdir}/sarg/sarg.conf.default
cp $RPM_BUILD_ROOT%{_sysconfdir}/sarg/sarg.conf.default $RPM_BUILD_ROOT/%{_sysconfdir}/sarg/sarg.conf

# real access.log file location
perl -p -i -e "s|#access_log /usr/local/squid/logs/access.log|access_log /var/log/squid/access.log|" $RPM_BUILD_ROOT/%{_sysconfdir}/sarg/sarg.conf
perl -p -i -e "s|#output_dir /home/httpd/html/squid-reports # RedHat version|output_dir /var/www/html/squid-reports # Mandrake version|" $RPM_BUILD_ROOT/%{_sysconfdir}/sarg/sarg.conf

strip -s $RPM_BUILD_ROOT/%{_sbindir}/%{name}

%files
%defattr(-,root,squid)
%doc CONTRIBUTORS DONATIONS ChangeLog
%{_mandir}/man1/*
%attr(0755,root,squid) %{_sbindir}/%{name}*
%attr(0664,root,squid) %config(noreplace) %{_sysconfdir}/sarg/sarg.conf
%attr(0755,root,squid) %dir %{contentdir}/html/squid
%attr(0755,root,squid) %dir %{contentdir}/html/squid/daily
%attr(0755,root,squid) %dir %{contentdir}/html/squid/weekly
%attr(0755,root,squid) %dir %{contentdir}/html/squid/monthly
%config(noreplace) %attr(0755,root,squid) %dir %{_sysconfdir}/sarg
%config(noreplace) %attr(0755,root,squid) %dir %{_sysconfdir}/sarg/languages
%config(noreplace) %attr(0754,root,squid) %{_sysconfdir}/cron.*/*
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/sarg/sarg.conf.default
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/sarg/exclude_codes
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/sarg/languages/.new
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/sarg/languages/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 29 2003 Florin <florin@mandrakesoft.com> 1.4.1-1mdk
- changing name (thx to D. Walser)

* Thu Aug 28 2003 Florin <florin@mandrakesoft.com> 1.4-1.1mdk
- 1.4.1

* Fri Apr 04 2003 Florin <florin@mandrakesoft.com> 1.4-1mdk
- 1.4
- use MANDIR in make install
- fix a typo 

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 1.3-0.PRE2.2mdk
- some fixes in the cronfiles and the conf file (thx to luigiwalser)

* Mon Jan 13 2003 Florin <florin@mandrakesoft.com> 1.3-0.PRE2.1mdk
- 1.3-PRE2
- add the man page

* Thu Jun 27 2002 Florin <florin@mandrakesoft.com> 1.2.2-2mdk
- update the crons (thx to K.Vaggelis for pointing this out)

* Thu Jun 20 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
- update the crontabs

* Fri Apr 05 2002 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- cron files permission
- config noreplace

* Fri Nov 16 2001 Florin <florin@mandrakesoft.com> 1.2.0-0.Beta2.1mdk
- first Mandrake release

* Tue Apr 04 2001 Sergei Dushankov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1 (released with Latvian language support)

* Fri Mar 29 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1
- bin location changed to %{_sbindir}
- sample crontab is located now in %{_sysconfdir}/sarg/sarg.cron

* Fri Mar 24 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1
- corrections made to sarg.monthly script, now it works properly
- all scripts are now put as additional to main source, so that original
  distribution can be leaved intacted.

* Wed Mar 14 2001 Alexander Kreschenko <akr@torba.com>
- Packaging of sarg 1.0, eliminating local/sbin dir
- some chandes in sarg.conf (please revise)
- some cosmetix changes in the package
- default laguage Russian-koi8
- many fixes in rpm

* Tue Mar 06 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Icluded sqmgrlog.* scripts, squid.counter and sample crontab

* Mon Mar 05 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0.1

* Sun Mar 04 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0
- including three patches (totday, nbsp, topsites)

* Thu Nov 09 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.12
- dropping compat builds
- adding contentdir macro and %contentdir to %files

* Tue Jul 11 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.11

* Sat Jun 10 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.10

* Wed Mar 15 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.9
 
* Sat Feb 26 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.8

* Tue Feb 22 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- rebuild from 2.9.7 "fresh sources"

* Thu Feb 17 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.7

* Tue Feb  1 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- changing spec allowing "compat" builds on RH6.x

* Fri Jan 21 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.6

* Thu Jan 13 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.5
- added striping of binary

* Tue Nov 30 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.4
- changing defaults to RedHat's

* Thu Nov 25 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- added userip patch for -p support on .conf (user_ip tag)
- added requires: squid
- added ip2name patch for fixing bug on -p and user report

* Tue Nov 23 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- initial SPEC
